Get a unit by ID
https://api.propexo.com/v1/units/:idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the unit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
1234The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
oakridgeThe external ID of the floor plan from the integration vendor
This field will always be null for YARDI
nullThe external ID of the unit type from the integration vendor
This field will always be null for YARDI
nullThe number of bathrooms associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
1.5The number of full bathrooms associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
1The number of half bathrooms associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
1The number of bedrooms associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
2The building name associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
Cedar CourtThe building number associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
Cedar CourtThe city associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
OaklandThe country associated with the unit
This field will always be null for YARDI
nullcustom_data object | nullrequired
The external ID of the floor plan associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
A2The floor plan name associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
Two Bedroom DeluxeThe floor number/name associated with the unit
This field will always be null for YARDI
nullWhether the unit is available
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
trueWhether the unit is furnished
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
DEPRECATED: Use listings endpoints.
This field will always be null for YARDI
nullWhether the unit is vacant
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
The unit number
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
20418The market rent amount in cents for the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
225000The maximum rent amount in cents
This field will always be null for YARDI
nullThe minimum rent amount in cents
This field will always be null for YARDI
nullThe square footage of the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
Possible values: >= 0
948The state associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
CADeprecated: Use address_1
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
Deprecated: Use address_2
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
The first address line associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
1842 Cedar AvenueThe second address line associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
1842 Cedar AvenueThe zip code associated with the unit
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
94612Whether or not pets are allowed
This field will always be null for YARDI
nullWhether or not dogs are allowed
This field will always be null for YARDI
nullWhether or not cats are allowed
This field will always be null for YARDI
nullThe pet policy for the unit
This field will always be null for YARDI
nullThe Propexo unique identifier for the floor plan
This field will always be null for YARDI
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_RESTYARDIThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit type
| Interface | Method |
|---|---|
| Common Data | GetUnitInformation |
clwqjwc1e000008i7fnrrayzc:322_fs:UnitTypeUniqueID-2344Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/:id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1234",
"x_property_id": "oakridge",
"x_floor_plan_id": null,
"x_unit_type_id": null,
"bathrooms": "1.5",
"bathrooms_full": 1,
"bathrooms_half": 1,
"bedrooms": "2",
"building_name": "Cedar Court",
"building_number": "Cedar Court",
"city": "Oakland",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor_plan_code": "A2",
"floor_plan_name": "Two Bedroom Deluxe",
"floor": null,
"is_available": true,
"is_furnished": true,
"is_vacant": true,
"number": "20418",
"rent_amount_market_in_cents": 225000,
"rent_amount_max_in_cents": null,
"rent_amount_min_in_cents": null,
"square_feet": 948,
"state": "CA",
"address_1": "1842 Cedar Avenue",
"address_2": "1842 Cedar Avenue",
"zip": "94612",
"pets_allowed": null,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": "clwqjwc1e000008i7fnrrayzc:322_fs:UnitTypeUniqueID-2344"
}
}